Next: COSH, Previous: CONJG, Up: Intrinsic Procedures

### 8.55 `COS` — Cosine function

Description:
  `COS(X)` computes the cosine of X.
Standard:
  Fortran 77 and later, has overloads that are GNU extensions
Class:
  Elemental function
Syntax:
  `RESULT = COS(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value is of the same type and kind as X. The real part of the result is in radians. If X is of the type `REAL`, the return value lies in the range -1 \leq \cos (x) \leq 1.
Example:

                program test_cos
                  real :: x = 0.0
                  x = cos(x)
                end program test_cos

Specific names:

  Name | Argument | Return type | Standard
  `COS(X)` | `REAL(4) X` | `REAL(4)` | Fortran 77 and later
  `DCOS(X)` | `REAL(8) X` | `REAL(8)` | Fortran 77 and later
  `CCOS(X)` | `COMPLEX(4) X` | `COMPLEX(4)` | Fortran 77 and later
  `ZCOS(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | GNU extension
  `CDCOS(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | GNU extension

See also:
  Inverse function: ACOS